#root {
  max-width: 1280px;
  margin: 0 auto;
  padding: 2rem;
  text-align: center;
}

.logo {
  height: 6em;
  padding: 1.5em;
  will-change: filter;
  transition: filter 300ms;
}
.logo:hover {
  filter: drop-shadow(0 0 2em #646cffaa);
}
.logo.react:hover {
  filter: drop-shadow(0 0 2em #61dafbaa);
}

@keyframes logo-spin {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}

@media (prefers-reduced-motion: no-preference) {
  a:nth-of-type(2) .logo {
    animation: logo-spin infinite 20s linear;
  }
}

.card {
  padding: 2em;
}

.read-the-docs {
  color: #888;
}

/* s styles */
#root{
  max-width: 1280;
  margin: 0 auto;
  padding:2rem;
  text-align: center;
}
h1{
  font-weight: 700;
  font-size:3rem;
  margin-bottom: 1rem;
}
.container{
  max-width:50rem;
  margin:0 auto;
}
.course-status{
  display: flex;
  justify-content: space-between;
  margin:2rem;
  color:#64748b;
  font-weight: 300;
}
/* line 40 */
.course-item{
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  background-color: #fff;
  width:600px;
  justify-content: first baseline;
}
.course-item__footer{
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
}
.course-item__container{
  display: inline-block;
  width:100%;
}
.course-item__body{
  display: flex;
  justify-content: space-between;
}
.course-footer__container{
  display: flex;
  justify-content: space-between;
}
/* .languageAndDate span{
  font-size: 0.6rem;
} */
.course-item_detial{
  flex:1;
  justify-self: start;
  padding:1rem 0 1rem 1rem;
}
.course-item__body{
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap:0.6rem;
  flex:1;
  margin-bottom:1.5rem;
}
.course-item__body .title{
  font-size: 1.5rem;
  font-weight: 800;
  margin-bottom: 0.5rem;
}
.course-item__body .desc{
  font-size: 0.9rem;
  color:#7c7c7c;
}
.course-item__body .rate{
  white-space:nowrap;
}
.course-item__img img{
  width:15rem;
  height: auto;
}
.course-item__footer .tags{
  display: flex;
  gap:1rem;
  margin-bottom:0.5rem;
}
/* line 83 */
.course-item__footer .caption{
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.couse-item__footer .date{
  color:#94a3b8;
  font-size:0.8rem;
}
.course-item__footer .caption .badge{
  font-weight: bold;
}